> ## Documentation Index
> Fetch the complete documentation index at: https://velt.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Delete All User Data Status

> Get the status of the data deletion process for a user.

Use this API to get the status of the data deletion process for a user.

<Warning>
  This API may take a few seconds to return a response depending on the dataset size.
</Warning>

# Endpoint

`POST https://api.velt.dev/v1/users/data/delete/status`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="jobId" type="string" required>
      The job Id of the data deletion process.
    </ParamField>
  </Expandable>
</ParamField>

## **Example Request**

```JSON theme={null}
{
  "data": {
    "jobId": "yourJobId"
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
    "result": {
        "status": "success",
        "message": "Data fetched successfully.",
        "data": {
            "isDeleteCompleted": true,
            "tasksLeft": 0,
            "lastTaskCompletedTime": 1748972106739
        }
    }
}
```

#### Failure Response

```JSON theme={null}
{
   "error": {
       "message": "ERROR_MESSAGE",
       "status": "INVALID_ARGUMENT",
       "code": 500
   }
}
```

<ResponseExample>
  ```js theme={null}
  {
      "result": {
          "status": "success",
          "message": "Data fetched successfully.",
          "data": {
              "isDeleteCompleted": true,
              "tasksLeft": 0,
              "lastTaskCompletedTime": 1748972106739
          }
      }
  }
  ```
</ResponseExample>
